
import 'dart:io';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:nan_common_utils/nan_map_widget.dart';
import 'package:nan_common_utils/nan_message_channel.dart';
import 'package:nan_common_utils/nan_widget_util.dart';

const VIEW_TYPE = 'com.amap.flutter.map';
class NanMapPage extends StatefulWidget{

  // final String apiKey;
  // final Function finishFun;
  // NanMapPage({
  //   Key key,
  //   this.apiKey,
  //   this.finishFun
  // }):super(key: key);

  final String locationImg;
  final String apiKey;
  final double width;
  final double height;
  final double radius;
  final String path;
  final Function finishFun;
  NanMapPage({
    Key key,
    this.locationImg = "location",
    this.apiKey = "36501b8488ba6322b5ec5b7ef40c773f",
    this.width = 50,
    this.height = 50,
    this.radius = 25,
    this.path = "img",
    this.finishFun
  }):super(key: key);

  @override
  _NanMapPageState createState() => _NanMapPageState();


}
class _NanMapPageState extends State<NanMapPage>{

  @override
  void initState() {
    super.initState();
    // messageChannel.setMessageHandler((message)async{
    //   // setState(() {
    //   //   address = message.address;
    //   // });
    //   // NanUtil.showUploadDialog(context,tipMsg: "正在加载中...");
    //   // setState(() {
    //   //   address = message["address"];
    //   // });
    //   if (widget.finishFun != null) {
    //     widget.finishFun(message);
    //     Navigator.pop(context);
    //   }
    // });
    NanMessageChannel.setMessageHandlerFun(result: (message){
      if (widget.finishFun != null) {
        widget.finishFun(message);
        Navigator.pop(context);
      }
    });
  }

  @override
  void dispose() {
    super.dispose();

  }


  @override
  Widget build(BuildContext context) {

    return Scaffold(
      appBar: NanWidgetUtil.commonAppBar(title: "地图选择",actions: <Widget>[
          NanWidgetUtil.builderItem(title: '确定',onTap: () {
            NanMessageChannel.returnResult();
          },),
        ]),
      body: NanMapWidget()
    );
  }

  final Map<String, dynamic> creationParams = <String, dynamic>{
      'apiKey': "36501b8488ba6322b5ec5b7ef40c773f",
    };

  // Widget coverageWidget(){
  //   return InkWell(
  //     child: Container(
  //       width: 50,
  //       height: 50,
  //       padding: EdgeInsets.all(10),
  //       // margin: EdgeInsets.only(left: widget.left,right: widget.left),
  //       decoration: BoxDecoration(
  //         // gradient: LinearGradient(
  //         //   colors: [Color.fromRGBO(0,227,174, 1),Colous.Color149144]
  //         // ),
  //         boxShadow: [
  //           // BoxShadow(color: Color(0x99FFFF00), offset: Offset(3.0, 3.0), blurRadius: 10.0, spreadRadius: 2.0), 
  //           BoxShadow(color: Color.fromRGBO(255, 255, 255, 1), offset: Offset(0.5, 0.5)), 
  //           BoxShadow(color: Color.fromRGBO(	105,105,105, 1))
  //         ],
  //         color: Colors.white,
  //         borderRadius: BorderRadius.all(Radius.circular(30))
  //       ),
        
  //       child: NanWidgetUtil.loadAssetImage('location',width: 30,height: 30,onTap: () {
          
  //         // getMovingTrailUnclosedList();
  //       },)
      
  //   ),
  //   onTap: (){
      
  //   },
  //   );
  // }
}